极快的压缩算法
lz4 开源项目推荐(293 个)
lz4 话题在 GitHub 上没有填写简介,这里按 Star 数汇总最相关的热门仓库。
热门项目 前 20
按 Star 数排序展示前 20 个 · GitHub 共 293 个仓库支持 Brotli、Fast-LZMA2、Lizard、LZ4、LZ5 和 Zstandard 的 7-Zip
Extremely Fast MessagePack Serializer for C#(.NET, .NET Core, Unity, Xamarin). / msgpack.org[C#]
Reliable PostgreSQL Backup & Restore
受谴责。请改用mholt/archives。
lzbench is an in-memory benchmark of open-source compressors
纯Go中的LZ 4压缩和解压
一个新的p7zip分支,带有额外的编解码器和改进(从 https://sourceforge.net/projects/sevenzip/ 和 https://sourceforge.net/projects/p7zip/ 分支而来)。
Lizard is an efficient compressor with very fast decompression. It achieves compression ratio that is comparable to zip/zlib and zstd/brotli (at low and medium compression levels) at fast decompression speed
Fast In-Memory Data Compression Algorithm (header-only C/C++) 540+MB/s compress, 3000+MB/s decompress, ratio% better than LZ4, Snappy, and Zstd@--1
Lossless compression C library built for ultra-fast decode. Faster than LZ4 (+35% to 105%+; best on ARM64), at a better ratio. Official Rust, Python, Node.js, Go and WASM bindings. Write-once/read-many, with optional seekable archives for O(1) random access.
Cross-platform library to create & extract archives, compress & decompress files, and walk virtual file systems across various formats
LZ4 fast compression algorithm for NodeJS
⚡An Easy-to-Use and Optimized compression library for .NET that unified several compression algorithms including LZ4, Snappy, Zstd, LZMA, Brotli, GZip, ZLib, and Deflate. This library aids in Improving Performance by Reducing Memory Usage and Bandwidth Usage. Along with a greate Performance Benchmark between different compression algorithms.
Compression Benchmark
LZ4 bindings for Python
Swift libcompression wrapper as an extension for the Data type (GZIP, ZLIB, LZFSE, LZMA, LZ4, deflate, RFC-1950, RFC-1951, RFC-1952)
A Swift framework for working with compression, archives and containers.
Golang library for dealing with 7-zip archives
一个基于阿里云盘官方 API 授权的自动同步和备份工具,支持云盘挂载到本地,支持本地存储,支持加密,多平台、安全、自动化的数据管理方案。
关于这个话题
- 清单取自 GitHub 话题页并按 Star 数排序,每次展示前 20 个项目;原始页面见 https://github.com/topics/lz4。
- 该话题在 GitHub 上共有 293 个仓库, 本站收录的是其中最热门的 20 个,不是全量列表。
- Star / Fork 每日自动刷新一次,实时数据以 GitHub 为准。
- 当前 20 个项目累计 4.4 万 Star,覆盖 6 种主要语言,数据更新于 2026-11-06。
- 中文介绍来自 GitHub 官方话题说明(github/explore)的机器翻译,可点「查看原文」对照;译文缺失时会先展示原文。